Bug 16618 - CallTarget handleOutput and handleErrorOutput should be public
CallTarget handleOutput and handleErrorOutput should be public
Status: RESOLVED FIXED
Product: Ant
Classification: Unclassified
Component: Core tasks
1.5.1
All All
: P3 normal (vote)
: 1.5.2
Assigned To: Ant Notifications List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-01-30 20:54 UTC by John Meagher
Modified: 2008-02-22 12:18 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Meagher 2003-01-30 20:54:53 UTC
The CallTarget uses a technique to route the calls to handleOutput and
handleErrorOutput to the appropriate task by utilizing protected versions of the
handle... methods.  There's a bug in the ant-contrib project (link below) that
shows the need for public access to those methods.  

ant-contrib bug:
http://sourceforge.net/tracker/index.php?func=detail&aid=677097&group_id=36177&atid=416920
Comment 1 Steve Loughran 2003-01-31 06:52:08 UTC
fixed in cvs. since they were protected you always had a workaround called
subclassing...
Comment 2 Stefan Bodewig 2003-01-31 12:36:37 UTC
will be available in Ant 1.5.2.